Package com.sun.ts.lib.deliverable

# Class AbstractPropertyManager

java.lang.Object
com.sun.ts.lib.deliverable.AbstractPropertyManager

All Implemented Interfaces:
  `PropertyManagerInterface`

@Deprecated(forRemoval=true) public class AbstractPropertyManager extends Object implements PropertyManagerInterface
Deprecated, for removal: This API element is subject to removal in a future version.
This class serves as a well known place for harness, util, and porting classes to retrieve property values.

Author:
  Kyle Grucci

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static boolean`
  `bReversed`
  Deprecated, for removal: This API element is subject to removal in a future version.
  This is a flag to indicate if the values are reversed

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractPropertyManager()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Constructor for the AbstractPropertyManager object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `forwardValues()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Set forward mode
  `Properties`
  `getJteProperties()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  gets a new properties containing all entries in the property manager.
  `String`
  `getProperty(String sKey)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  This method is called to get a property value
  `String`
  `getProperty(String sKey, String def)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  gets property value with default
  `Properties`
  `getTestSpecificProperties(String[] sPropKeys)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  This method is called by the test harness to retrieve all properties needed by a particular test.
  `protected void`
  `reverseValues()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  set reverse mode
  `protected final void`
  `setJteProperties(Properties p)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Sets the jteProperties attribute of the AbstractPropertyManager object
  `void`
  `setProperty(String sKey, String sVal)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Sets a property in property manager.
  `void`
  `swapInteropPropertyValues(String sDirection)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  This method swaps all of the following interop values in TSPropertyManager...

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### bReversed

    protected static boolean bReversed
    Deprecated, for removal: This API element is subject to removal in a future version.
    This is a flag to indicate if the values are reversed

- ## Constructor Details

  - ### AbstractPropertyManager

    protected AbstractPropertyManager()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Constructor for the AbstractPropertyManager object

- ## Method Details

  - ### setProperty

    public void setProperty(String sKey, String sVal)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Sets a property in property manager. If the key already exists in the property manager, the old value is overriden by new value.
    Specified by:
      `setProperty` in interface `PropertyManagerInterface`
    Parameters:
      `sKey` - key of the property.
      `sVal` - value of the property.

  - ### swapInteropPropertyValues

    public void swapInteropPropertyValues(String sDirection)
    Deprecated, for removal: This API element is subject to removal in a future version.
    This method swaps all of the following interop values in TSPropertyManager...
    Specified by:
      `swapInteropPropertyValues` in interface `PropertyManagerInterface`
    Parameters:
      `sDirection` - - "interop" or "default"

  - ### forwardValues

    protected void forwardValues()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Set forward mode

  - ### reverseValues

    protected void reverseValues()
    Deprecated, for removal: This API element is subject to removal in a future version.
    set reverse mode

  - ### getJteProperties

    public Properties getJteProperties()
    Deprecated, for removal: This API element is subject to removal in a future version.
    gets a new properties containing all entries in the property manager. Any operation on the returned properties will have no effect on property manager
    Specified by:
      `getJteProperties` in interface `PropertyManagerInterface`
    Returns:
      The jteProperties value

  - ### getTestSpecificProperties

    public Properties getTestSpecificProperties(String[] sPropKeys) throws PropertyNotSetException
    Deprecated, for removal: This API element is subject to removal in a future version.
    This method is called by the test harness to retrieve all properties needed by a particular test.
    Specified by:
      `getTestSpecificProperties` in interface `PropertyManagerInterface`
    Parameters:
      `sPropKeys` - - Properties to retrieve
    Returns:
      Properties - property/value pairs
    Throws:
      `PropertyNotSetException` - - if property is not set

  - ### getProperty

    public String getProperty(String sKey) throws PropertyNotSetException
    Deprecated, for removal: This API element is subject to removal in a future version.
    This method is called to get a property value
    Specified by:
      `getProperty` in interface `PropertyManagerInterface`
    Parameters:
      `sKey` - - Property to retrieve
    Returns:
      String - property value
    Throws:
      `PropertyNotSetException` - - if property is not set

  - ### getProperty

    public String getProperty(String sKey, String def)
    Deprecated, for removal: This API element is subject to removal in a future version.
    gets property value with default
    Specified by:
      `getProperty` in interface `PropertyManagerInterface`
    Parameters:
      `sKey` - - Property to retrieve
      `def` - - default value to use
    Returns:
      String - property value

  - ### setJteProperties

    protected final void setJteProperties(Properties p) throws PropertyNotSetException
    Deprecated, for removal: This API element is subject to removal in a future version.
    Sets the jteProperties attribute of the AbstractPropertyManager object
    Parameters:
      `p` - The new jteProperties value
    Throws:
      `PropertyNotSetException` - - if property is not set